﻿using System;
using System.Threading.Tasks;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;

namespace MenuFlyout {
  public sealed partial class MainPage : Page {
    public MainPage() {
      this.InitializeComponent();
    }

    private async void Item_Click(object sender, RoutedEventArgs e) {
      await ShowMessage(((MenuFlyoutItem)sender).Text + "が選ばれました");
    }

    private async Task ShowMessage(string s) {
      var md = new Windows.UI.Popups.MessageDialog(s);
      await md.ShowAsync();
    }
  }
}
